"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const QuestionTitle_1 = tslib_1.__importDefault(require("../QuestionTitle/QuestionTitle"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
const QuestionDescription_1 = tslib_1.__importDefault(require("../QuestionDescription/QuestionDescription"));
const utils_1 = require("../../utils");
const actions_1 = require("../CioQuiz/actions");
const ControlBar_1 = tslib_1.__importDefault(require("../ControlBar/ControlBar"));
function CoverTypeQuestion() {
    var _a;
    const { questionResponse, quizBackHandler, quizNextHandler, isFirstQuestion } = (0, react_1.useContext)(context_1.default);
    let question;
    if (questionResponse) {
        question = questionResponse.next_question;
    }
    const hasImage = (_a = question === null || question === void 0 ? void 0 : question.images) === null || _a === void 0 ? void 0 : _a.primary_url;
    const onNextClick = () => {
        if (quizNextHandler) {
            quizNextHandler({
                type: actions_1.QuestionTypes.Cover,
                payload: {
                    isLastQuestion: questionResponse === null || questionResponse === void 0 ? void 0 : questionResponse.is_last_question,
                },
            });
        }
    };
    if (question) {
        return (react_1.default.createElement("div", { className: `
        cio-container${hasImage ? '--with-image' : ''}
        cio-cover-question-container${hasImage ? '--with-image' : ''}
      ` },
            react_1.default.createElement("div", { className: 'cio-question-content' },
                react_1.default.createElement(QuestionTitle_1.default, { title: question === null || question === void 0 ? void 0 : question.title }),
                react_1.default.createElement(QuestionDescription_1.default, { description: question.description }),
                react_1.default.createElement(ControlBar_1.default, { nextButtonHandler: onNextClick, backButtonHandler: quizBackHandler, showBackButton: !isFirstQuestion, ctaButtonText: question === null || question === void 0 ? void 0 : question.cta_text })),
            hasImage ? (0, utils_1.renderImages)(question.images, 'cio-question-image-container') : ''));
    }
    return null;
}
exports.default = CoverTypeQuestion;
