"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const ResultCtaButton_1 = tslib_1.__importDefault(require("../ResultCtaButton/ResultCtaButton"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultCard(props) {
    var _a, _b;
    const { result, addToCartCallback, clickItemCallback: customClickItemCallback, salePriceKey, regularPriceKey, resultPosition, } = props;
    const { resultsResponse, cioClient } = (0, react_1.useContext)(context_1.default);
    const salePrice = salePriceKey && ((_a = result === null || result === void 0 ? void 0 : result.data) === null || _a === void 0 ? void 0 : _a[salePriceKey]);
    const regularPrice = regularPriceKey && ((_b = result === null || result === void 0 ? void 0 : result.data) === null || _b === void 0 ? void 0 : _b[regularPriceKey]);
    const clickItemCallback = () => {
        var _a;
        /* eslint-disable @typescript-eslint/naming-convention */
        if (resultsResponse && resultsResponse.request && resultsResponse.response) {
            const { quiz_id, quiz_session_id, quiz_version_id, result_id, request: { section, page, num_results_per_page }, response: { total_num_results }, } = resultsResponse;
            /* eslint-enable @typescript-eslint/naming-convention */
            cioClient === null || cioClient === void 0 ? void 0 : cioClient.tracker.trackQuizResultClick({
                quiz_id,
                quiz_version_id,
                quiz_session_id,
                item_id: (_a = result.data) === null || _a === void 0 ? void 0 : _a.id,
                item_name: result === null || result === void 0 ? void 0 : result.value,
                section,
                result_count: total_num_results,
                result_page: page,
                result_id,
                result_position_on_page: resultPosition,
                num_results_per_page,
            });
        }
        if (customClickItemCallback && typeof customClickItemCallback === 'function') {
            customClickItemCallback(result);
        }
    };
    const clickHandler = () => {
        clickItemCallback();
    };
    const keyDownHandler = (event) => {
        if ((event === null || event === void 0 ? void 0 : event.key) === ' ' || (event === null || event === void 0 ? void 0 : event.key) === 'Enter') {
            clickItemCallback();
        }
    };
    const resultCardContent = () => {
        var _a;
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: 'cio-result-card-image' },
                react_1.default.createElement("img", { src: (_a = result.data) === null || _a === void 0 ? void 0 : _a.image_url, alt: 'product' })),
            react_1.default.createElement("div", { className: 'cio-result-card-text' },
                react_1.default.createElement("p", { className: 'cio-result-card-title' }, result.value),
                react_1.default.createElement("div", { className: 'cio-result-card-prices' },
                    salePrice && react_1.default.createElement("span", { className: 'cio-result-card-sale-price' },
                        "$",
                        salePrice),
                    regularPrice && (react_1.default.createElement("span", { className: `cio-result-card-regular-price${salePrice ? '--strike-through' : ''}` },
                        "$",
                        regularPrice)))),
            react_1.default.createElement(ResultCtaButton_1.default, { item: result, callback: addToCartCallback, price: salePrice || regularPrice })));
    };
    const resultCardContentWithLink = () => {
        var _a;
        return (react_1.default.createElement("a", { className: 'cio-result-card-anchor', href: (_a = result.data) === null || _a === void 0 ? void 0 : _a.url }, resultCardContent()));
    };
    return (react_1.default.createElement("div", { onClick: clickHandler, onKeyDown: keyDownHandler, className: 'cio-result-card', role: 'button', tabIndex: 0 }, !customClickItemCallback ? resultCardContentWithLink() : resultCardContent()));
}
exports.default = ResultCard;
