"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
function ResultCtaButton(props) {
    const { item, callback, className, price } = props;
    const { resultsResponse, cioClient } = (0, react_1.useContext)(context_1.default);
    const clickHandler = (e) => {
        var _a, _b;
        e.preventDefault();
        if (resultsResponse && resultsResponse.request && resultsResponse.response) {
            /* eslint-disable @typescript-eslint/naming-convention */
            const { quiz_id, quiz_session_id, quiz_version_id, request: { section }, } = resultsResponse;
            /* eslint-enable @typescript-eslint/naming-convention */
            cioClient === null || cioClient === void 0 ? void 0 : cioClient.tracker.trackQuizConversion({
                quiz_id,
                quiz_version_id,
                quiz_session_id,
                item_id: (_a = item.data) === null || _a === void 0 ? void 0 : _a.id,
                item_name: item.value,
                section,
                variation_id: (_b = item.data) === null || _b === void 0 ? void 0 : _b.variation_id,
                revenue: (price && String(price)) || undefined,
            });
        }
        if (callback && typeof callback === 'function') {
            e.stopPropagation();
            callback(item);
        }
    };
    return (react_1.default.createElement("button", { type: 'button', className: `cio-result-card-cta-button ${className || ''}`, onClick: clickHandler }, "Add to Cart"));
}
exports.default = ResultCtaButton;
