"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
function ResultFilters(props) {
    const { filters } = props;
    const isValueExpression = (exp) => 'name' in exp && 'value' in exp;
    const isAndFilter = (exp) => 'and' in exp;
    const isOrFilter = (exp) => 'or' in exp;
    const getFilterValuesFromExpression = (exp) => {
        if (!exp) {
            return [];
        }
        if (isAndFilter(exp)) {
            return exp.and.flatMap((innerExpression) => getFilterValuesFromExpression(innerExpression));
        }
        if (isOrFilter(exp)) {
            return exp.or.flatMap((innerExpression) => getFilterValuesFromExpression(innerExpression));
        }
        if (isValueExpression(exp)) {
            return [exp.value];
        }
        return [];
    };
    const filterValues = [...new Set(getFilterValuesFromExpression(filters))];
    return (react_1.default.createElement("div", { className: 'cio-results-filter-container' },
        react_1.default.createElement("p", null, "Because you answered"),
        react_1.default.createElement("div", { className: 'cio-results-filter-options' }, filterValues === null || filterValues === void 0 ? void 0 : filterValues.map((filter) => (react_1.default.createElement("div", { className: 'cio-results-filter-option', key: filter }, filter))))));
}
exports.default = ResultFilters;
