"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const utils_1 = require("../utils");
const useCioClient = ({ apiKey, cioJsClient }) => {
    if (!apiKey && !cioJsClient) {
        console.error('Either apiKey or cioJsClient is required');
    }
    return (0, react_1.useMemo)(() => cioJsClient || (0, utils_1.getCioClient)(apiKey), [apiKey, cioJsClient]);
};
exports.default = useCioClient;
