import React from 'react';
import OpenTextQuestion from '../OpenTextTypeQuestion/OpenTextTypeQuestion';
import CoverTypeQuestion from '../CoverTypeQuestion/CoverTypeQuestion';
import SelectTypeQuestion from '../SelectTypeQuestion/SelectTypeQuestion';
import { getQuestionTypes } from '../../utils';
export default function QuizQuestions(props) {
    const { questionResponse: { next_question: nextQuestion }, } = props;
    const questionTypes = getQuestionTypes(nextQuestion?.type);
    return (React.createElement(React.Fragment, null,
        questionTypes.isOpenQuestion && React.createElement(OpenTextQuestion, { key: nextQuestion?.id }),
        questionTypes.isCoverQuestion && React.createElement(CoverTypeQuestion, { key: nextQuestion?.id }),
        questionTypes.isSelectQuestion && React.createElement(SelectTypeQuestion, { key: nextQuestion?.id })));
}
