import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
export default function ResultCtaButton(props) {
    const { item, callback, className, price } = props;
    const { resultsResponse, cioClient } = useContext(QuizContext);
    const clickHandler = (e) => {
        e.preventDefault();
        if (resultsResponse && resultsResponse.request && resultsResponse.response) {
            /* eslint-disable @typescript-eslint/naming-convention */
            const { quiz_id, quiz_session_id, quiz_version_id, request: { section }, } = resultsResponse;
            /* eslint-enable @typescript-eslint/naming-convention */
            cioClient?.tracker.trackQuizConversion({
                quiz_id,
                quiz_version_id,
                quiz_session_id,
                item_id: item.data?.id,
                item_name: item.value,
                section,
                variation_id: item.data?.variation_id,
                revenue: (price && String(price)) || undefined,
            });
        }
        if (callback && typeof callback === 'function') {
            e.stopPropagation();
            callback(item);
        }
    };
    return (React.createElement("button", { type: 'button', className: `cio-result-card-cta-button ${className || ''}`, onClick: clickHandler }, "Add to Cart"));
}
