import React from 'react';
function ResultFilters(props) {
    const { filters } = props;
    const isValueExpression = (exp) => 'name' in exp && 'value' in exp;
    const isAndFilter = (exp) => 'and' in exp;
    const isOrFilter = (exp) => 'or' in exp;
    const getFilterValuesFromExpression = (exp) => {
        if (!exp) {
            return [];
        }
        if (isAndFilter(exp)) {
            return exp.and.flatMap((innerExpression) => getFilterValuesFromExpression(innerExpression));
        }
        if (isOrFilter(exp)) {
            return exp.or.flatMap((innerExpression) => getFilterValuesFromExpression(innerExpression));
        }
        if (isValueExpression(exp)) {
            return [exp.value];
        }
        return [];
    };
    const filterValues = [...new Set(getFilterValuesFromExpression(filters))];
    return (React.createElement("div", { className: 'cio-results-filter-container' },
        React.createElement("p", null, "Because you answered"),
        React.createElement("div", { className: 'cio-results-filter-options' }, filterValues?.map((filter) => (React.createElement("div", { className: 'cio-results-filter-option', key: filter }, filter))))));
}
export default ResultFilters;
