import ConstructorIOClient from '@constructor-io/constructorio-client-javascript';
import { QuestionTypes } from './components/CioQuiz/actions';
import { QuestionImages, QuizzesParameters, QuizzesResultsParameters, NextQuestionResponse, QuizResultsResponse } from './types';
export declare const renderImages: (images: Partial<QuestionImages>, cssClasses?: string) => JSX.Element | "";
export declare const getStoryParams: (storyCode: any, templateCode: any, importCode: any) => {
    docs: {
        source: {
            code: string;
            language: string;
            format: boolean;
            type: string;
        };
    };
};
export declare const defaultAddToCartCallbackCode = "\"addToCartCallback\": (item) => console.dir(item)";
export declare const stringifyWithDefaults: (obj: {
    cioJsClient?: any;
    addToCartCallback: any;
}) => string;
export declare const stringify: (obj: any) => string;
export declare const getNextQuestion: (cioClient: ConstructorIOClient, quizId: string, parameters: QuizzesParameters) => Promise<NextQuestionResponse>;
export declare const getQuizResults: (cioClient: ConstructorIOClient, quizId: string, parameters: QuizzesResultsParameters) => Promise<QuizResultsResponse>;
export declare const getQuestionTypes: (questionType?: `${QuestionTypes}`) => {
    isOpenQuestion: boolean;
    isCoverQuestion: boolean;
    isSingleQuestion: boolean;
    isMultipleQuestion: boolean;
    isSelectQuestion: boolean;
};
export declare const getCioClient: (apiKey?: string) => ConstructorIOClient | undefined;
export declare function getPreferredColorScheme(): string;
